Patient Arrived Detailed

Page View

Patient administration notifications contain details about a patient's record or movements within a specific hospital or provider's office.

You can receive notifications when:

  • A patient record is created, merged, or updated.
  • A patient checks in, transfers to another unit, or leaves the hospital.

arrived

Indicates that a patient has arrived for an inpatient visit or outpatient encounter.

You can opt in for lightweight or detailed notifications.

  • A lightweight notification provides the Patient reference, encounter identifier, and timestamp.
  • A detailed notification contains everything in the lightweight plus extended patient/encounter info, provider info, and related references.

Learn about:

Select payload example

PatientAdminArrivedBundleExample
json
1
{
2
"resourceType": "Bundle",
3
"id": "PatientAdminArrivedBundleExample",
4
"type": "message",
5
"entry": [
6
{
7
"resource": {
8
"eventUri": "https://fhir.redoxengine.com/EventDefinition/PatientAdminArrived",
9
"resourceType": "MessageHeader",
10
"id": "016aff0a-eb86-51a0-a6f8-c7aa470fe8ef",
11
"source": {
12
"name": "Good Health Clinics",
13
"endpoint": "urn:uuid:05107c08-fe2f-4740-8c1d-c7107d18ebe5"
14
},
15
"focus": [
16
{
17
"reference": "urn:uuid:313f8fd4-d4b0-5f2c-820b-a63d5210e86b"
18
},
19
{
20
"reference": "urn:uuid:26970fe6-79db-5e3c-bbf5-b47476282e58"
21
}
22
],
23
"definition": "https://fhir.redoxengine.com/MessageDefinition/PatientAdminArrivedLight"
24
},
25
"fullUrl": "urn:uuid:016aff0a-eb86-51a0-a6f8-c7aa470fe8ef"
26
},
27
{
28
"fullUrl": "urn:uuid:313f8fd4-d4b0-5f2c-820b-a63d5210e86b",
29
"resource": {
30
"resourceType": "Patient",
31
"id": "313f8fd4-d4b0-5f2c-820b-a63d5210e86b",
32
"identifier": [
33
{
34
"value": "0000000001",
35
"system": "urn:redox:health-one:MR"
36
},
37
{
38
"value": "101-01-0001",
39
"system": "http://hl7.org/fhir/sid/us-ssn"
40
}
41
],
42
"name": [
43
{
44
"given": [
45
"Timothy",
46
"Paul"
47
],
48
"family": "Bixby"
49
}
50
],
51
"gender": "male",
52
"birthDate": "2008-01-06"
53
}
54
},
55
{
56
"fullUrl": "urn:uuid:26970fe6-79db-5e3c-bbf5-b47476282e58",
57
"resource": {
58
"resourceType": "Encounter",
59
"id": "26970fe6-79db-5e3c-bbf5-b47476282e58",
60
"status": "arrived",
61
"class": {
62
"code": "AMB",
63
"system": "http://terminology.hl7.org/ValueSet/v3-ActEncounterCode"
64
},
65
"type": [
66
{
67
"extension": [
68
{
69
"url": "http://hl7.org/fhir/StructureDefinition/data-absent-reason",
70
"valueCode": "unknown"
71
}
72
]
73
}
74
],
75
"subject": {
76
"reference": "urn:uuid:313f8fd4-d4b0-5f2c-820b-a63d5210e86b"
77
}
78
}
79
}
80
],
81
"timestamp": "2021-06-17T20:33:22.422Z"
82
}

Request Body Schema

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Indicates the purpose of this bundle - how it is intended to be used.

    Value: message
  • entry
    required, Array of messageHeader, patient, practitioner, organization

    An entry in the bundle containing a FHIR resource

    • fullUrl
      string

      The Absolute URL for the resource. The fullUrl SHALL NOT disagree with the id in the resource - i.e. if the fullUrl is not a urn:uuid, the URL shall be version-independent URL consistent with the Resource.id. The fullUrl is a version independent reference to the resource. The fullUrl element SHALL have a value except that:

      • fullUrl can be empty on a POST (although it does not need to when specifying a temporary id for reference in the bundle)
      • Results from operations might involve resources that are not identified.
    • resource
      object

      The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type.

      • resourceType
        required, string

        Identifies the type of the resource

        Value: MessageHeader
      • source
        required, object

        The source application from which this message originated.

        • endpoint
          required, string

          Identifies the routing target to send acknowledgements to.

      • focus
        required, Array of object

        The actual data of the message - a reference to the root/focus class of the event.

        Must be a resource of type Resource.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • definition
        required, string

        Permanent link to the MessageDefinition for this message.

      • eventUri
        required, string

        Code that identifies the event this message represents and connects it with its definition. Events defined as part of the FHIR specification have the system value http://terminology.hl7.org/CodeSystem/message-events. Alternatively uri to the EventDefinition.

        Value: https://fhir.redoxengine.com/EventDefinition/PatientAdminArrived
  • timestamp
    string

    The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.